<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| Created by AlexALX for php-fusion v7 core
| (c) 2008 by http://alex-php.net/
| For more information visit http://alex-php.net/
| Or http://alex-php.net/eng/
+--------------------------------------------------------*/

require_once "../../maincore.php";

require_once THEMES."templates/admin_header.php";
//require_once ADMIN."navigation.php";

if (!checkrights("CMT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../../index.php");

  define("C_BASEDIR", INFUSIONS."view_comments/");
  define("C_LOCALE", C_BASEDIR."locale/");

if (file_exists(C_LOCALE.$settings['locale'].".php")) {
	include C_LOCALE.$settings['locale'].".php";
} else {
	include C_LOCALE."English.php";
}

$set = dbarray(dbquery("SELECT * FROM ".$db_prefix."view_comments"));

$numrows = $set['numrows'];

if (isset($_POST['save_sets'])) {

$num = stripinput($_POST['numrows']);
if ($num == "0") {
$num = "15";
}
 $result = dbquery("UPDATE ".$db_prefix."view_comments SET numrows=".$num);

 redirect(FUSION_SELF.$aidlink."&status=saved");
}

if (isset($_POST['ip_dell'])) {
 $result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_ip='".stripinput($_POST['dell_ip'])."'");
 redirect(FUSION_SELF.$aidlink."&status=ip");
//redirect(FUSION_SELF.$aidlink."&ips=".stripinput($_POST['dell_ip']));
}
   @$step = $_GET['step'];
   @$status = $_GET['status'];
if (isset($status)) {
        if ($status == "su") {
                $title = $locale['c_400'];
                $message = "<b>".$locale['c_403']."</b>";
        } elseif ($status == "del") {
                $title = $locale['c_400'];
                $message = "<b>".$locale['c_405']."</b>";
        } elseif ($status == "ip") {
                $title = $locale['dell_c'];
                $message = $locale['dell_c_1'];
        } elseif ($status == "saved") {
                $title = $locale['saved'];
                $message = $locale['saved_1'];
        }
        opentable($title);
        echo "<div align='center'>".$message."</div>\n";
        closetable();
        tablebreak();
}

if (isset($_GET['comment_id']) && isnum($_GET['comment_id'])) $comment_id = $_GET['comment_id']; else $comment_id = '';

if (isset($_POST['save_comment'])) {
        $comment_message = stripinput($_POST['comment_message']);
        //$comment_smileys = isset($_POST['disable_smileys']) ? "0" : "1";
        $result = dbquery("UPDATE ".$db_prefix."comments SET comment_message='$comment_message' WHERE comment_id='$comment_id'");
        redirect(INFUSIONS."view_comments/comments_all.php?aid=".iAUTH."&status=su");
}
if (isset($step) && $step == "delete") {
        $result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_id='$comment_id'");
        redirect(INFUSIONS."view_comments/comments_all.php?aid=".iAUTH."&status=del");
}

if (isset($step) && $step == "delete_mass") {
        for ($i=0; $i<$numrows; $i++) {
             if (isset($_POST['comment'][$i]) && $_POST['comment'][$i] == "ON") {
                 $result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_id='".$_POST['comment_ids'][$i]."'");
             }
        }
        redirect(INFUSIONS."view_comments/comments_all.php".$aidlink."&status=del");
}
if (isset($step) && $step == "edit") {
require_once INCLUDES."bbcode_include.php";
        $result = dbquery("SELECT * FROM ".$db_prefix."comments WHERE comment_id='$comment_id'");
        if (!dbrows($result)) redirect(INFUSIONS."view_comments/comments_all.php".$aidlink);
        $data = dbarray($result);
       // $comment_smileys = $data['comment_smileys'] ? "" : " checked";
        tablebreak();
        opentable($locale['c_400']);
        echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."&amp;comment_id=$comment_id&amp;ctype=".stripinput($_GET['ctype'])."&amp;cid=".stripinput($_GET['cid'])."'>
<table align='center' cellpadding='0' cellspacing='0' width='400' >
<tr>
<td align='center' class='tbl'><textarea name='comment_message' rows='5' class='textbox' style='width:400px'>".$data['comment_message']."</textarea>".display_bbcodes("360px", "comment_message")."</tr>
<tr>
<td align='center' class='tbl'>"./*<input type='checkbox' name='disable_smileys' value='1'$comment_smileys>".$locale['c_402']."<br><br>*/"
<input type='submit' name='save_comment' value='".$locale['c_401']."' class='button'></td>
</tr>
</table>
</form>\n";
        closetable();
        tablebreak();
} else if (isset($step) && $step == "settings") {

opentable($locale['sets']);

echo "<form name='set' action='".INFUSIONS."view_comments/comments_all.php".$aidlink."' method='post'>";

echo "<center>".$locale['numrows']."<input name='numrows' type='text' value='".$set['numrows']."' class='textbox' style='width:40px''><br><br><input type='submit' value='".$locale['save']."' method='post' name='save_sets' class='button'></center>";

echo "</form>";

closetable();
tablebreak();

}
     /*
echo "
                <script language='JavaScript1.2' type='text/javascript'><!--
                        function invertAll(field, headerfield)
                        {
                                for (i = 0; i < field.length; i++) {
                                        if (headerfield.checked == false )
                                                field[i].checked = true;
                                        else
                                                field[i].checked = false;
                                }
                                headerfield.checked = true;
                        }
                //--></script>
";     */

opentable($locale['c_410']);
 echo "<center><form name='set' action='".INFUSIONS."view_comments/comments_all.php".$aidlink."&amp;step=settings' method='post'><input type='submit' value='".$locale['sets']."' name='set' method='post' class='button'></form></center><br>";

@$rowstart = $_GET['rowstart'];
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
$rows = dbcount("(comment_id)", DB_PREFIX."comments");

if ($rows > $numrows) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$numrows,$rows,3,FUSION_SELF.$aidlink."&")."\n</div><br>\n";
$i = 0;

echo "<script language='JavaScript' type='text/javascript'>
  function CheckAll() {
    var obj = document.getElementById('all');
    for (var i = 0; i < obj.elements.length; i++) {
      if(obj.elements[i].type == 'checkbox'){
        obj.elements[i].checked = true;
      }
    }
    return false;
  }
    function unCheckAll() {
    var obj = document.getElementById('all');
    for (var i = 0; i < obj.elements.length; i++) {
      if(obj.elements[i].type == 'checkbox'){
        obj.elements[i].checked = false;
      }
    }
    return false;
  }
  </script>";

if ($rows != 0) {
      /*
if (isset($_GET['ips']) && ereg('^[0-9.]+$',$_GET['ips'])) {
$ips = " WHERE comment_ip='".$_GET['ips']."'";
} else {
$ips = '';
}
        */ $ips = '';
    $result = dbquery(
              "SELECT * FROM ".$db_prefix."comments LEFT JOIN ".$db_prefix."users
              ON ".$db_prefix."comments.comment_name=".$db_prefix."users.user_id
              ".$ips." ORDER BY comment_datestamp DESC
              LIMIT $rowstart,".$set['numrows']);

    if (dbrows($result)) {
                 echo "<form name='del_mass' action='".INFUSIONS."view_comments/comments_all.php".$aidlink."&amp;step=delete_mass' method='post' id='all'><table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
                            while ($data = dbarray($result)) {
                       echo "

                       <tr>\n
                       <td class='".($i% 2==0?"tbl1":"tbl2")."' style='vertical-align:center;' width='10'><input name='comment[$i]' type='checkbox' value='ON'>
                       <input name='comment_ids[$i]' type='hidden' value='".$data['comment_id']."'></td>\n
                       <td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>";
                       if ($data['user_name']) {
                                  echo "<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."' class='slink'>".$data['user_name']."</a>";
                          } else {
                                  echo $data['comment_name'];
                          }
                       $comment_message = nl2br(parseubb($data['comment_message']));
                       //if ($data['comment_smileys'] == "1") $comment_message = parsesmileys($comment_message);
                       echo "</span>
                       <span class='small'>".$locale['global_071'].showdate("longdate", $data['comment_datestamp'])."</span><br>
                       ".$comment_message."<br>
                       <span class='small'><a href='".INFUSIONS."view_comments/comments_all.php".$aidlink."&amp;step=edit&amp;comment_id=".$data['comment_id']."&amp;ctype=".$data['comment_type']."&amp;cid=".$data['comment_item_id']."'>".$locale['c_411']."</a> -
                       <a href='".INFUSIONS."view_comments/comments_all.php".$aidlink."&amp;step=delete&amp;comment_id=".$data['comment_id']."&amp;ctype=".$data['comment_type']."&amp;cid=".$data['comment_item_id']."' onClick='return DeleteItem()'>".$locale['c_412']."</a> -
                       <b>".$data['comment_ip']."</b>";

                       if ($data['comment_type']=="P") {
                           $cat = $locale['edit_com_001'];
                           $url = BASEDIR."photogallery.php?photo_id=".$data['comment_item_id'];
                           } elseif ($data['comment_type']=="A") {
                           $cat = $locale['edit_com_002'];
                           $url = BASEDIR."readarticle.php?article_id=".$data['comment_item_id'];
                           } elseif ($data['comment_type']=="N") {
                           $cat = $locale['edit_com_003'];
                           $url = BASEDIR."index.php?readmore=".$data['comment_item_id'];
                           } elseif ($data['comment_type']=="C") {
                           $cat = $locale['edit_com_004'];
                           $url = BASEDIR."viewpage.php?page_id=".$data['comment_item_id'];
                           } elseif ($data['comment_type']=="X") {
                           $cat = $locale['edit_com_005'];
                           $url = BASEDIR."photogallery.php?photo_id=".$data['comment_item_id'];
                           } else {
                           $cat = $locale['edit_com_006'];
                           $url = "";
                           }

                       echo "<br>".$locale['edit_com_007']."<a href=$url>$cat</a>

                       </span>
                       </td>\n</tr>\n";
                       $i++;
                }
                echo "</table>\n

                <input type='submit' name='delete' value='".$locale['c_417']."' class='button' onClick='return DeleteMass()'>";
                echo " <a href='#' onClick=\"return CheckAll();\">".$locale['sell']."</a> | <a href='#' onClick=\"return unCheckAll();\">".$locale['usell']."</a></form>\n";

                //


echo "<form name='dell' action='".FUSION_SELF.$aidlink."' method='post'><br><br>".$locale['ip']."<input name='dell_ip' type='text' value='' class='textbox'><input type='submit' value='".$locale['dell_ok']."' name='ip_dell' method='post' class='button' onClick='return DeleteIp()'></form>";


                //

    } else {
            echo "<center><br>".$locale['c_419']."<br><br></center>\n";
    }

if ($rows > $numrows) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$numrows,$rows,3,FUSION_SELF.$aidlink."&")."\n</div>\n";

} else {
            echo "<center><br>".$locale['c_419']."<br><br></center>\n";
}

echo "<br><br><center>&copy; 2008 by <a href='http://alex-php.net' target='_blank'>AlexALX</a> <a href='mailto:admin@alex-php.net' target='_blank'>[E-mail]</a><br>Powered by <a href='mailto:gregorian@inbox.ru' target='_blank'>Mr_G</a></center>";

closetable();


echo "<script>
function DeleteItem() {
        return confirm(\"".$locale['c_414']."\");
}
</script>\n";
echo "<script>
function DeleteMass() {
        return confirm(\"".$locale['c_416']."\");
}
</script>\n";
echo "<script>
function DeleteIp() {
        return confirm(\"".$locale['c_420']."\");
}
</script>\n";



require_once THEMES."templates/footer.php";

?>